import { myMxConstants } from '@/graph/mxGraph'
import { PaletteShape } from '@/types/mxgraph'

const shapes: PaletteShape[] = [
  {
    index: 0,
    idSeed: 1,
    type: myMxConstants.SHAPE_RECTANGLE,
    id: myMxConstants.SHAPE_RECTANGLE,
    title: '矩形',
    class: 'common rectangle',
    width: 80,
    height: 60,
    style: {
      [myMxConstants.STYLE_SHAPE]: 'rectangle',
      [myMxConstants.STYLE_ARCSIZE]: 20
    }
  },
  {
    index: 1,
    idSeed: 1,
    type: myMxConstants.SHAPE_RHOMBUS,
    id: myMxConstants.SHAPE_RHOMBUS,
    title: '菱形',
    class: 'common rhombus',
    width: 80,
    height: 80,
    style: {
      [myMxConstants.STYLE_SHAPE]: 'rhombus'
    }
  },
  {
    index: 1,
    idSeed: 1,
    type: myMxConstants.SHAPE_TRIANGLE,
    id: myMxConstants.SHAPE_TRIANGLE,
    title: '三角形',
    class: 'common triangle',
    width: 120,
    height: 60,
    style: {
      [myMxConstants.STYLE_SHAPE]: 'triangle',
      [myMxConstants.STYLE_DIRECTION]: 'north'
    }
  }
  // 其他形状定义...
]

export { shapes }
